org.apache.cassandra.transport.messages

## Class ResultMessage.SetKeyspace

- java.lang.Object
- - org.apache.cassandra.transport.Message
  - - org.apache.cassandra.transport.Message.Response
    - - org.apache.cassandra.transport.messages.ResultMessage
      - - org.apache.cassandra.transport.messages.ResultMessage.SetKeyspace

- Enclosing class:
    ResultMessage

      public static class ResultMessage.SetKeyspace
      extends ResultMessage

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.messages.ResultMessage

      `ResultMessage.Kind, ResultMessage.Prepared, ResultMessage.Rows, ResultMessage.SchemaChange, ResultMessage.SetKeyspace, ResultMessage.Void`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.transport.Message

      `Message.Codec<M extends Message>, Message.Direction, Message.Dispatcher, Message.ExceptionHandler, Message.ProtocolDecoder, Message.ProtocolEncoder, Message.Request, Message.Response, Message.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `keyspace`
    `static Message.Codec<ResultMessage>` | `subcodec`

    - ### Fields inherited from class org.apache.cassandra.transport.messages.ResultMessage

      `codec, kind`

    - ### Fields inherited from class org.apache.cassandra.transport.Message.Response

      `tracingId, warnings`

    - ### Fields inherited from class org.apache.cassandra.transport.Message

      `connection, forcedProtocolVersion, logger, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetKeyspace(java.lang.String keyspace)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `CqlResult` | `toThriftResult()`

    - ### Methods inherited from class org.apache.cassandra.transport.Message.Response

      `getTracingId, getWarnings, setTracingId, setWarnings`

    - ### Methods inherited from class org.apache.cassandra.transport.Message

      `attach, connection, getCustomPayload, getSourceFrame, getStreamId, setCustomPayload, setSourceFrame, setStreamId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### keyspace

          public final java.lang.String keyspace

    - #### subcodec

          public static final Message.Codec<ResultMessage> subcodec

  - ### Constructor Detail

    - #### SetKeyspace

          public SetKeyspace(java.lang.String keyspace)

  - ### Method Detail

    - #### toThriftResult

          public CqlResult toThriftResult()

      Specified by:
        `toThriftResult` in class `ResultMessage`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2018 The Apache Software Foundation